/*
 * anydata.h  --  DTG-series WAN driver
 *
 * Copyright 2005, 2006 Lab126, Inc.  All rights reserved.
 * 
 */
#ifndef __ANYDATA_H__
#define __ANYDATA_H__

#define AD_WAN_PROC_WAN             "wan"
#define AD_WAN_PROC_CONTROL         "control"
#define AD_WAN_PROC_SWITCH          "switch"

#define AD_WAN_CONTROL              "/proc/" AD_WAN_PROC_WAN "/" AD_WAN_PROC_CONTROL
#define AD_WAN_SWITCH               "/proc/" AD_WAN_PROC_WAN "/" AD_WAN_PROC_SWITCH

#define AD_WAN_LINK_STATE           "/var/run/wan_link_active"

#define AD_WAN_NOTIFY_SEM_KEY       0xF1043473

#define AD_WAN_NOTIFY_SCRIPT        "/sbin/notify/wan"

typedef enum {
    WAN_OFF = 0,
    WAN_ON,
    WAN_OFF_KILL
} wan_status_t;

int set_wan_power(wan_status_t new_status);

#endif // __ANYDATA_H__
