/*
 * linux/sound/arm/pxa2xx-pcm.h -- ALSA PCM interface for the Intel PXA2xx chip
 *
 * Author:	Nicolas Pitre
 * Created:	Nov 30, 2004
 * Copyright:	MontaVista Software, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

typedef struct {
	char *name;			/* stream identifier */
	u32 dcmd;			/* DMA descriptor dcmd field */
	volatile unsigned long *drcmr;		/* the DMA request channel to use */
	u32 dev_addr;			/* device physical address for DMA */
} pxa2xx_pcm_dma_params_t;

typedef struct {
	u32	rx;
	u32 tx;
	u32 clk;
	u32 frm;
} pxa2xx_gpio_t;

